% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/basis_set.R
\name{basis2mrs_data}
\alias{basis2mrs_data}
\title{Convert a basis object to an mrs_data object - where basis signals are spread
across the dynamic dimension.}
\usage{
basis2mrs_data(basis, sum_elements = FALSE, amp = NULL, shift = NULL)
}
\arguments{
\item{basis}{basis set object.}

\item{sum_elements}{return the sum of basis elements (logical)}

\item{amp}{a vector of scaling factors to apply to each basis element.}

\item{shift}{a vector of frequency shifts (in PPM) to apply to each basis
element.}
}
\value{
an mrs_data object with basis signals spread across the dynamic
dimension or summed.
}
\description{
Convert a basis object to an mrs_data object - where basis signals are spread
across the dynamic dimension.
}
